Package org.springframework.aop.aspectj.annotation

# Class AbstractAspectJAdvisorFactory.AspectJAnnotation

java.lang.Object
org.springframework.aop.aspectj.annotation.AbstractAspectJAdvisorFactory.AspectJAnnotation

Enclosing class:
  AbstractAspectJAdvisorFactory

protected static class AbstractAspectJAdvisorFactory.AspectJAnnotation extends Object
Class modeling an AspectJ annotation, exposing its type enumeration and pointcut String.

## Constructor Summary

Constructors
Constructor
Description
`AspectJAnnotation(Annotation annotation)`

## Method Summary

Modifier and Type
Method
Description
`Annotation`
`getAnnotation()`
`AbstractAspectJAdvisorFactory.AspectJAnnotationType`
`getAnnotationType()`
`String`
`getArgumentNames()`
`String`
`getPointcutExpression()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AspectJAnnotation

public AspectJAnnotation(Annotation annotation)

## Method Details

### getAnnotationType

public AbstractAspectJAdvisorFactory.AspectJAnnotationType getAnnotationType()

### getAnnotation

public Annotation getAnnotation()

### getPointcutExpression

public String getPointcutExpression()

### getArgumentNames

public String getArgumentNames()

### toString

public String toString()

Overrides:
  `toString` in class `Object`